Pular para o conteúdo principal
POST
/
cms
/
v3
/
blogs
/
authors
/
batch
/
update
Update a batch of Blog Authors
curl --request POST \
  --url https://api.hubapi.com/cms/v3/blogs/authors/batch/update \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {}
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "avatar": "<string>",
      "bio": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "displayName": "<string>",
      "email": "<string>",
      "facebook": "<string>",
      "fullName": "<string>",
      "id": "<string>",
      "language": "aa",
      "linkedin": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "translatedFromId": 123,
      "twitter": "<string>",
      "updated": "2023-11-07T05:31:56Z",
      "website": "<string>"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Produtos suportados

Requer um dos seguintes produtos ou superior.
Marketing HubMarketing Hub -Grátis
Sales HubSales Hub -Grátis
Service HubService Hub -Grátis
Content HubContent Hub -Grátis

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Parâmetros de consulta

archived
boolean

Whether to return only results that have been archived.

Corpo

application/json

Wrapper for providing an array of JSON nodes as inputs.

inputs
object[]
obrigatório

JSON nodes to input.

Resposta

successful operation

Response object for batch operations on blog authors.

completedAt
string<date-time>
obrigatório

Time of batch operation completion.

results
object[]
obrigatório

Results of batch operation.

startedAt
string<date-time>
obrigatório

Time of batch operation start.

status
enum<string>
obrigatório

Status of batch operation.

Opções disponíveis:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Links associated with batch operation.

requestedAt
string<date-time>

Time of batch operation request.

Last modified on March 24, 2026